QGIS Application - Bug report #13594
DB Manager - unable to add a Postgres/PostGIS raster as layer
2015-10-13 12:45 PM - Steven Kay

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:2.10.1 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21636
Description

Scenario: raster loaded into postgres database with raster2pgsql. Attempting to "add as layer" from DB Manager causes the message
"XXXis an invalid layer - not loaded"

Looking at stderr, | see the error message

ERROR 1: User parameter must be provided, or PGUSER environment variable must be set. Please set the user and try again.

Setting these environment variables and reconnecting doesn't appear to work. Also tried changing table and database owners, and
re-creating the postgis connection.

The gdal url shown in the message log is missing the 'user' and 'password' parameters. If | add these manually to the url and add the
layer with the following python from the console it works...

rl = QgsRasterLayer("PG: dbname=rastertest host=127.0.0.1 user=scott password=tiger port=5432 mode=2 schema=public

column=rast table=mytable", "testlayer")
QgsMapLayerRegistry.instance().addMapLayer(rl)

| suspect that Db Manager may not be adding the user and password settings to the GDAL URL.

Associated revisions

Revision 53¢507d3 - 2015-10-13 10:54 PM - Jiirgen Fischer

db manager: add credentials to postgis rasters (fixes #13594)

Revision 75b4d9e3 - 2015-11-26 08:32 PM - Jiirgen Fischer

db manager: add credentials to postgis rasters (fixes #13594)

(backports from commit 53c507d)

History

#1 - 2015-10-13 01:54 PM - Jiirgen Fischer
- Status changed from Open to Closed
Fixed in changeset commit:"53c507d3a75234be0fa5e3fad6c0fe4670348fc9".
